LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XDataProviderAccess Interface Reference

Provides access to chart2 data providers for a given document. More...

`import "XDataProviderAccess.idl";`

Inheritance diagram for XDataProviderAccess:

## Public Member Functions
com::sun::star::chart2::data::XDataProvider | createDataProvider ()
| creates a data provider for chart2, if possible
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Provides access to chart2 data providers for a given document.

Since
  LibreOffice 6.1

## Member Function Documentation

## ◆ createDataProvider()

com::sun::star::chart2::data::XDataProvider createDataProvider | ( |  | ) |

creates a data provider for chart2, if possible

See also
  com::sun::star::chart2::data::XDataProvider

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/XDataProviderAccess.idl